import json

def read_cumulative_stock_codes():
    try:
        with open('cumulative_stocks.json', 'r') as f:
            return set(json.load(f))
    except FileNotFoundError:
        return set()

def write_cumulative_stock_codes(cumulative_stocks):
    with open('cumulative_stocks.json', 'w') as f:
        json.dump(list(cumulative_stocks), f)
