import os
from dotenv import load_dotenv

load_dotenv('C:\\Users\\user\\projects\\st\\.env')

settings = {
    'data_path': os.getenv('DATA_PATH', 'data'),
    'model_path': os.getenv('MODEL_PATH', 'models'),
    'approval_key': os.getenv('APPROVAL_KEY'),
    'max_detected_stocks': int(os.getenv('MAX_DETECTED_STOCKS', 99)),
    'data_fetch_interval': int(os.getenv('DATA_FETCH_INTERVAL', 60)),
    'strategy_name': os.getenv('STRATEGY_NAME', 'AdvancedAdaptiveStrategy'),
    'token_path': os.getenv('TOKEN_PATH'),
    'appkey': os.getenv('MY_APP'),
    'appsecret': os.getenv('MY_SEC'),
    'user_id': os.getenv('USER_ID'),
    'trading_url': os.getenv('PROD_URL'),
    'agent': os.getenv('MY_AGENT'),
    'acct_stock': os.getenv('MY_ACCT_STOCK'),
    'prod': os.getenv('MY_PROD'),
    'cano': os.getenv('CANO')
}
